Bug 985583 - Midinght Commander switches back to homedir during directory operations
Midinght Commander switches back to homedir during directory operations
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mc (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-17 15:48 EDT by Ali Akcaagac
Modified: 2014-02-05 17:08 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:08:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ali Akcaagac 2013-07-17 15:48:09 EDT
Description of problem:

This effect appeared nearly one year ago now and finally I found the time to report this behaviour in hope that someone may be able to review and fix it. Midnight Commander switches back into homedirectory after some file operations. This may affect F17/18/19.

Version-Release number of selected component (if applicable):
Midnight Commander 4.8.7

How reproducible:
It's always reproducable

Steps to Reproduce:
1. Start Midnight Commander
2. In the left or right pane move for example to /usr/share/icons
3. In the menu press "find file" and enter the search pattern "*flash-pl*" and press return. You don't search for file contents, just for file names. Please make sure you have flash-player (flash-plugin) installed. This is just an example.
4. You get a list of 5 finds in an dialog and now you press "l" to Panelize these items.
5. Now you have these 5 elements in either the left of right panel as items.
6. press "shift *" to select all elements, then "ctrl-x o" to change owner. Do some changes e.g. root.root and then "set all" by pressing "a".
7. press "shift *" to select all elements, then "ctrl-x o" or "ctrl-x c". As you realize, nothing get selected. No dialog pops up nothing happens.
8. Going to ".." in the top of the left or right panel gets you in your homedir. Regardless where you have been before.

Actual results:


Expected results:
1. pressing "shift *" to select all elements should also repeadly allow pressing "ctrl-x o" or "ctrl-x c" or whatever to allow further file manipulation process on these items.
2. going to ".." shouldn't get you in your homedir. It should land in the previous directory before the search.


Additional info:
Look in older midnight commander versions 4.6.x for example. There it should still work properly.
Comment 1 Fedora End Of Life 2013-12-21 09:20:50 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2014-02-05 17:08:49 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.